rubygem-gli-2.2.1-1.of.el6.noarch.rpm


Advertisement

Description

rubygem-gli - Build command-suite CLI apps that are awesome

Property Value
Distribution CentOS 6
Repository Open Fusion x86_64
Package filename rubygem-gli-2.2.1-1.of.el6.noarch.rpm
Package name rubygem-gli
Package version 2.2.1
Package release 1.of.el6
Package architecture noarch
Package type rpm
Category Development/Languages
Homepage http://davetron5000.github.com/gli
License GPLv2+ or Ruby
Maintainer -
Download size 160.83 KB
Installed size 512.55 KB
Build command-suite CLI apps that are awesome.  Bootstrap your app, add
commands, options and documentation while maintaining a well-tested idiomatic
command-line app

Alternatives

Package Version Architecture Repository
rubygem-gli-2.2.1-1.of.el6.noarch.rpm 2.2.1 noarch Open Fusion
rubygem-gli - - -

Requires

Name Value
/usr/bin/env -
/usr/bin/ruby -
ruby >= 0
ruby(abi) = 1.8
rubygems >= 0

Provides

Name Value
rubygem(gli) = 2.2.1
rubygem-gli = 2.2.1-1.of.el6

Download

Type URL
Mirror repo.openfusion.net
Binary Package rubygem-gli-2.2.1-1.of.el6.noarch.rpm
Source Package rubygem-gli-2.2.1-1.of.el6.src.rpm

Install Howto

  1. Download latest openfusion-release rpm from
    http://repo.openfusion.net/centos6-x86_64/
  2. Install openfusion-release rpm:
    # rpm -Uvh openfusion-release*rpm
  3. Install rubygem-gli rpm package:
    # yum install rubygem-gli

Files

Path
/usr/bin/gli
/usr/lib/ruby/gems/1.8/bin/gli
/usr/lib/ruby/gems/1.8/cache/gli-2.2.1.gem
/usr/lib/ruby/gems/1.8/doc/gli-2.2.1/
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/.gitignore
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/.rvmrc
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/.travis.yml
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/Gemfile
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/LICENSE.txt
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/ObjectModel.graffle
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/README.rdoc
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/Rakefile
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/gli.cheat
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/gli.gemspec
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/gli.rdoc
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/.yardoc/checksums
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/.yardoc/proxy_types
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/.yardoc/objects/root.dat
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/bin/gli
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/bin/report_on_rake_results
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/bin/test_all_rubies.sh
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/features/gli_executable.feature
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/features/gli_init.feature
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/features/todo.feature
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/features/step_definitions/gli_executable_steps.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/features/step_definitions/gli_init_steps.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/features/step_definitions/todo_steps.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/features/support/env.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/app.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/app_support.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/command.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/command_line_option.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/command_line_token.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/command_support.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/copy_options_to_aliases.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/dsl.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/exceptions.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/flag.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/gli_option_parser.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/option_parser_factory.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/options.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/switch.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/terminal.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/version.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/compound_command.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/doc.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/initconfig.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/rdoc_document_listener.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/scaffold.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/arg_name_formatter.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/command_finder.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/command_help_format.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/global_help_format.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/help_completion_format.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/list_formatter.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/no_wrapping_wrapper.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/options_formatter.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/text_wrapper.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/lib/gli/commands/help_modules/tty_only_wrapper.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/config.yaml
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/fake_std_out.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/gli.reek
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/init_simplecov.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/option_test_helper.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/roodi.yaml
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_command.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_compount_command.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_doc.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_flag.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_gli.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_help.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_options.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_subcommands.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_switch.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/tc_terminal.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/test_helper.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/README.md
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/Gemfile
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/README.rdoc
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/Rakefile
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/todo.gemspec
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/todo.rdoc
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/bin/todo
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/lib/
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/lib/todo/version.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/lib/todo/commands/create.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/lib/todo/commands/list.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/lib/todo/commands/ls.rb
/usr/lib/ruby/gems/1.8/gems/gli-2.2.1/test/apps/todo/test/tc_nothing.rb
/usr/lib/ruby/gems/1.8/specifications/gli-2.2.1.gemspec

Changelog

2012-09-30 - Gavin Carr <gavin@openfusion.com.au> - 2.2.1-1
- Initial package

See Also

Package Description
rubygem-graphite-0.2.0-1.of.el6.noarch.rpm Ruby client for sending stats to Graphite
rubygem-graphite_graph-0.0.2-1.of.el6.noarch.rpm DSL for generating Graphite graphs
rubygem-graphiterb-0.2.13-1.of.el6.noarch.rpm Fast Ubiquitous Dashboard Logs with Graphite (http://graphite.wikidot.com)
rubygem-grit-2.4.1-1.of.el6.noarch.rpm Ruby Git bindings
rubygem-grit-2.5.0-1.of.el6.noarch.rpm Ruby Git bindings
rubygem-guard-1.2.1-1.of.el6.noarch.rpm Guard keeps an eye on your file modifications
rubygem-haml-3.0.25-1.of.el6.noarch.rpm An elegant, structured XHTML/XML templating engine. Comes with Sass, a similar CSS templating engine
rubygem-haml-3.1.2-1.of.el6.noarch.rpm An elegant, structured XHTML/XML templating engine. Comes with Sass, a similar CSS templating engine
rubygem-har-0.0.9-1.of.el6.noarch.rpm Ruby library to work with HTTP archives
rubygem-hashie-1.2.0-1.of.el6.noarch.rpm Your friendly neighborhood hash toolkit
rubygem-heroku-2.24.1-1.of.el6.noarch.rpm Client library and CLI to deploy apps on Heroku
rubygem-hiera-0.3.0-1.of.el6.noarch.rpm Light weight hierarcical data store
rubygem-hiera-json-0.3.0-1.of.el6.noarch.rpm JSON backend for the Hiera hierarcical data store
rubygem-hiera-puppet-0.3.0-1.of.el6.noarch.rpm Puppet query interface and backend for Hiera
rubygem-highline-1.6.1-1.of.el6.noarch.rpm HighLine is a high-level command-line IO library
Advertisement
Advertisement